Get Parameters of crm.contact.details.configuration.get
Scope:
crmWho can execute the method:
- Any user has the right to access their own and shared settings
- Only an administrator has the right to access others' settings
Method Development Stopped
The method crm.contact.details.configuration.get continues to function, but there is a more relevant alternative crm.item.details.configuration.get.
The method retrieves the settings for contact cards: it reads the personal settings of the specified user or the shared settings defined for all users.
Method Parameters
Required parameters are marked with *
|
Name |
Description |
|
scope |
The scope of the settings. Possible values:
Default — |
|
userId |
User identifier. Required only when requesting someone else's personal settings. If not specified, the current user is taken |
Code Examples
How to Use Examples in Documentation
-
Get personal card configuration
cURL (Webhook)cURL (OAuth)JSPHPcurl -X POST \ -H "Content-Type: application/json" \ -H "Accept: application/json" \ -d '{"scope":"P","userId":6}' \ https://**put_your_bitrix24_address**/rest/**put_your_user_id_here**/**put_your_webhook_here**/crm.contact.details.configuration.getcurl -X POST \ -H "Content-Type: application/json" \ -H "Accept: application/json" \ -d '{"scope":"P","userId":6,"auth":"**put_access_token_here**"}' \ https://**put_your_bitrix24_address**/rest/crm.contact.details.configuration.getBX24.callMethod( 'crm.contact.details.configuration.get', { scope: "P", userId: 6, }, (result) => { result.error() ? console.error(result.error()) : console.info(result.data()) ; }, );require_once('crest.php'); $result = CRest::call( 'crm.contact.details.configuration.get', [ 'scope' => 'P', 'userId' => 6 ] ); echo '<PRE>'; print_r($result); echo '</PRE>'; -
Get shared card configuration
cURL (Webhook)cURL (OAuth)JSPHPcurl -X POST \ -H "Content-Type: application/json" \ -H "Accept: application/json" \ -d '{"scope":"C"}' \ https://**put_your_bitrix24_address**/rest/**put_your_user_id_here**/**put_your_webhook_here**/crm.contact.details.configuration.getcurl -X POST \ -H "Content-Type: application/json" \ -H "Accept: application/json" \ -d '{"scope":"C","auth":"**put_access_token_here**"}' \ https://**put_your_bitrix24_address**/rest/crm.contact.details.configuration.getBX24.callMethod( 'crm.contact.details.configuration.get', { scope: "C", }, (result) => { result.error() ? console.error(result.error()) : console.info(result.data()) ; }, );require_once('crest.php'); $result = CRest::call( 'crm.contact.details.configuration.get', [ 'scope' => 'C' ] ); echo '<PRE>'; print_r($result); echo '</PRE>';
Response Handling
HTTP status: 200
{
"result": [
{
"name": "main",
"title": "About the Contact",
"type": "section",
"elements": [
{
"name": "LAST_NAME",
"optionFlags": "0"
},
{
"name": "PHOTO",
"optionFlags": "0"
},
{
"name": "NAME",
"optionFlags": "1"
},
{
"name": "SECOND_NAME",
"optionFlags": "1"
},
{
"name": "BIRTHDATE",
"optionFlags": "1"
},
{
"name": "PHONE",
"optionFlags": "1",
"options": {
"defaultCountry": "AU"
}
},
{
"name": "EMAIL",
"optionFlags": "1"
}
]
},
{
"name": "additional",
"title": "Additional",
"type": "section",
"elements": [
{
"name": "TYPE_ID",
"optionFlags": "0"
},
{
"name": "SOURCE_ID",
"optionFlags": "0"
},
{
"name": "OPENED",
"optionFlags": "0"
},
{
"name": "EXPORT",
"optionFlags": "0"
},
{
"name": "ASSIGNED_BY_ID",
"optionFlags": "0"
}
]
}
],
"time": {
"start": 1724677217.639681,
"finish": 1724677217.986853,
"duration": 0.3471717834472656,
"processing": 0.01840806007385254,
"date_start": "2024-08-26T15:00:17+02:00",
"date_finish": "2024-08-26T15:00:17+02:00",
"operating": 0
}
}
Returned Values
|
Name |
Description |
|
result |
The root element of the response. Contains the configuration of the sections of the detail form of the entity. Returns |
|
time |
Information about the execution time of the request |
section
Describes an individual section with fields inside the entity card
|
Name |
Description |
|
name |
Unique name of the section used for identification |
|
title |
Title of the section |
|
type |
Type of the section |
|
elements |
List of fields displayed in the entity card with additional settings |
section_element
Configuration of an individual field within the section
|
Name |
Description |
|
name |
Field identifier |
|
optionFlags |
Whether to always show the field. Possible values:
|
|
options |
Additional options for the field. The structure is described below |
options
|
Name |
Fields where the option is available |
Description |
|
defaultAddressType |
|
Identifier for the default address type |
|
defaultCountry |
|
Country code for the default phone number format — a string of two Latin letters. For example |
|
isPayButtonVisible |
|
Whether the payment acceptance button is visible. Possible values:
|
|
isPaymentDocumentsVisible |
|
Whether the "Payment and Delivery" block is visible. Possible values:
|
Error Handling
HTTP status: 400
{
"error": "",
"error_description": "Access denied."
}
|
Name |
Description |
|
error |
String error code. It may consist of digits, Latin letters, and underscores |
|
error_description |
Textual description of the error. The description is not intended to be shown to the end user in its raw form |
Possible Error Codes
|
Code |
Description |
Value |
|
Empty value |
Access denied. |
The user does not have administrative rights |
Statuses and System Error Codes
HTTP Status: 20x, 40x, 50x
The errors described below may occur when calling any method.
|
Status |
Code |
Description |
|
|
|
An internal server error has occurred, please contact the server administrator or Bitrix24 technical support |
|
|
|
An internal server error has occurred, please contact the server administrator or Bitrix24 technical support |
|
|
|
The request intensity limit has been exceeded |
|
|
|
The current method is not allowed to be called using batch |
|
|
|
The maximum length of parameters passed to the batch method has been exceeded |
|
|
|
Invalid access token or webhook code |
|
|
|
The methods must be called using the HTTPS protocol |
|
|
|
The REST API is blocked due to overload. This is a manual individual block, to remove it you need to contact Bitrix24 technical support |
|
|
|
The REST API is available only on commercial plans |
|
|
|
The user whose access token or webhook was used to call the method lacks permissions |
|
|
|
The manifest is not available |
|
|
|
The request requires higher privileges than those provided by the webhook token |
|
|
|
The provided access token has expired |
|
|
|
The user does not have access to the application. This means that the application is installed, but the account administrator has allowed access to this application only for specific users |
|
|
|
The public part of the site is closed. To open the public part of the site on an on-premise installation, disable the option "Temporary closure of the public part of the site". Path to the setting: Desktop > Settings > Product Settings > Module Settings > Main Module > Temporary closure of the public part of the site |
Continue Learning
- Managing Contact Cards: Overview of Methods
- Set Parameters for Individual Card crm.contact.details.configuration.set
- Set Common Contact Card for All Users crm.contact.details.configuration.forceCommonScopeForAll
- Reset Contact Card Parameters crm.contact.details.configuration.reset